<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<?Declaration Don't modify the file manually,  its created automaticlly?>

<!--
     SPDX-FileCopyrightText: 2016-2023 Unisoc (Shanghai) Technologies Co., Ltd
     SPDX-License-Identifier: LicenseRef-Unisoc-General-1.0
-->

<Entry>
  <EventId_Version version="1.0"/>
  <Event id="101100000" EventType="STATISTIC" EventLevel="DEBUG" EventName="dump sensor info">
    <Param id="0" name="type_info" type="varchar" length="128"/>
  </Event>
  <Event id="101100001" EventType="STATISTIC" EventLevel="DEBUG" EventName="dump meminfo">
    <Param id="0" name="type_info" type="varchar" length="128"/>
  </Event>
  <Event id="101200000" EventType="STATISTIC" EventLevel="DEBUG" EventName="sim status">
    <Param id="0" name="phoneid" type="varchar" length="16"/>
    <Param id="1" name="subid" type="varchar" length="16"/>
    <Param id="2" name="sim_status" type="varchar" length="16"/>
  </Event>
  <Event id="101400000" EventType="BEHAVIOR" EventLevel="DEBUG" EventName="App usage info">
    <Param id="0" name="name" type="varchar" length="128"/>
    <Param id="1" name="total_time_used" type="varchar" length="256"/>
    <Param id="2" name="last_time_used" type="varchar" length="256"/>
  </Event>
  <Event id="102100000" EventType="STATISTIC" EventLevel="DEBUG" EventName="Runtime permission record during random power-down test">
    <Param id="0" name="permission" type="varchar" length="256"/>
  </Event>
  <Event id="102100001" EventType="STATISTIC" EventLevel="DEBUG" EventName="Appops permission record during monkey">
    <Param id="0" name="permission" type="varchar" length="256"/>
  </Event>
  <Event id="102200000" EventType="FAULT" EventLevel="DEBUG" EventName="dump window info when anr">
    <Param id="0" name="visibility" type="varchar" length="64"/>
    <Param id="1" name="focusable" type="varchar" length="64"/>
  </Event>
  <Event id="102300000" EventType="STATISTIC" EventLevel="DEBUG" EventName="open or close sensor">
    <Param id="0" name="sensor_info" type="varchar" length="256"/>
    <Param id="1" name="process_info" type="varchar" length="256"/>
  </Event>
  <Event id="102300001" EventType="STATISTIC" EventLevel="DEBUG" EventName="sensor event info">
    <Param id="0" name="value" type="varchar" length="128"/>
    <Param id="1" name="time" type="varchar" length="128"/>
  </Event>
  <Event id="102300002" EventType="STATISTIC" EventLevel="IMPORTANT" EventName="sensor open timeout">
    <Param id="0" name="sensor_info" type="varchar" length="256"/>
    <Param id="1" name="process_info" type="varchar" length="256"/>
  </Event>
  <Event id="103000001" EventType="FAULT" EventLevel="GENERAL" EventName="Shutdown Error">
    <Param id="0" name="type" type="varchar" length="64"/>
  </Event>
  <Event id="103000002" EventType="FAULT" EventLevel="DEBUG" EventName="Boot Category">
    <Param id="0" name="reboot_category" type="varchar" length="64"/>
    <Param id="1" name="reboot_reason" type="varchar" length="64"/>
  </Event>
  <Event id="103000003" EventType="FAULT" EventLevel="GENERAL" EventName="Native Crash">
    <Param id="0" name="fault_type" type="varchar" length="16"/>
    <Param id="1" name="process" type="varchar" length="128"/>
  </Event>
  <Event id="103000004" EventType="FAULT" EventLevel="GENERAL" EventName="Java Crash">
    <Param id="0" name="fault_type" type="varchar" length="16"/>
    <Param id="1" name="process" type="varchar" length="128"/>
  </Event>
  <Event id="103000005" EventType="FAULT" EventLevel="GENERAL" EventName="ANR">
    <Param id="0" name="fault_type" type="varchar" length="16"/>
    <Param id="1" name="process" type="varchar" length="128"/>
  </Event>
  <Event id="103000006" EventType="FAULT" EventLevel="GENERAL" EventName="watchdog">
    <Param id="0" name="fault_type" type="varchar" length="16"/>
    <Param id="1" name="process" type="varchar" length="128"/>
  </Event>
  <Event id="104000000" EventType="STATISTIC" EventLevel="DEBUG" EventName="wcn status">
    <Param id="0" name="wcn_type" type="varchar" length="64"/>
    <Param id="1" name="status" type="varchar" length="64"/>
  </Event>
  <Event id="107000001" EventType="FAULT" EventLevel="DEBUG" EventName="regulator event info">
    <Param id="0" name="task" type="varchar" length="64"/>
    <Param id="1" name="pid" type="varchar" length="64"/>
    <Param id="2" name="vsel_reg" type="varchar" length="64"/>
  </Event>
  <Event id="107000002" EventType="FAULT" EventLevel="DEBUG" EventName="UFS debugbus dump count">
    <Param id="0" name="ufs_debug_bus_dump_cnt" type="varchar" length="64"/>
  </Event>
  <Event id="107000003" EventType="FAULT" EventLevel="DEBUG" EventName="Camera ISP timeout">
    <Param id="0" name="task" type="varchar" length="64"/>
    <Param id="1" name="pid" type="varchar" length="8"/>
    <Param id="2" name="func" type="varchar" length="64"/>
    <Param id="3" name="val" type="varchar" length="64"/>
  </Event>
  <Event id="109000001" EventType="FAULT" EventLevel="GENERAL" EventName="CP2 Assert">
    <Param id="0" name="type" type="varchar" length="64"/>
    <Param id="1" name="message" type="varchar" length="256"/>
  </Event>
  <Event id="109000002" EventType="FAULT" EventLevel="GENERAL" EventName="GNSS Assert">
    <Param id="0" name="type" type="varchar" length="64"/>
    <Param id="1" name="message" type="varchar" length="256"/>
  </Event>
  <Event id="110000001" EventType="FAULT" EventLevel="GENERAL" EventName="Modem Assert">
    <Param id="0" name="type" type="varchar" length="64"/>
    <Param id="1" name="message" type="varchar" length="256"/>
  </Event>
</Entry>
